# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### lskat (executable) ########################

tde_add_executable( lskat AUTOMOC
  SOURCES msgdlg.cpp networkdlg.cpp namedlg.cpp KRemoteConnect.cpp KRSocket.cpp
    TDEProcessConnect.cpp KMessageEntry.cpp KInteractiveConnect.cpp
    KInputChildProcess.cpp KEMessage.cpp KEInput.cpp KConnectEntry.cpp
    KChildConnect.cpp lskatview.cpp lskatdoc.cpp lskat.cpp main.cpp
    networkdlgbase.ui
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared tdednssd-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data ################################

install( FILES lskatui.rc
  DESTINATION ${DATA_INSTALL_DIR}/lskat
)
